Loading...
Searching...
No Matches
kasumi_key_sched_s Struct Reference

`#include <intel-ipsec-mb.h>`

## Data Fields

uint16_t | sk16 [KASUMI_KEY_SCHEDULE_SIZE]
uint16_t | msk16 [KASUMI_KEY_SCHEDULE_SIZE]

## Detailed Description

Structure to maintain internal key scheduling

## Field Documentation

## msk16

uint16_t kasumi_key_sched_s::msk16[KASUMI_KEY_SCHEDULE_SIZE]

modified key schedule

## sk16

uint16_t kasumi_key_sched_s::sk16[KASUMI_KEY_SCHEDULE_SIZE]

< Kasumi internal scheduling key schedule

The documentation for this struct was generated from the following file:

- intel-ipsec-mb.h